post
https://api-uat.azupay.com.au/v1/paymentRequest
Creates a payment request. Once created, your customer can make a payment to the specified PayID. You can poll for PaymentStatus using getPaymentRequest to determine whether or not the required payment was made by the customer.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
For detailed information on how to use this API and specific merchant use cases for this API, please refer to this API reference guides documentation: PaymentRequestAPI
Error Codes
The Create a Payment Request API route may return the following failure codes. Note that this list may not be exhaustive.
| Code | HTTP Code | Reason | What to do |
|---|---|---|---|
| ERR0.03 | 400 | "paymentRequestId: PaymentRequestID not found" | Check the paymentRequestID is valid. Note that if a paymentRequestId has been deleted via the Delete a Payment Request API, it will not be available via the Get API. |
| ERR0.03 | 400 | Content-Type request header must be application/json | Update the contentType request header to application/json. |
| ERR0.03 | 400 | An invalid request body was supplied | Review the request body against the API schema. |
| ERR0.03 | 400 | [object has missing required properties (["paymentAmount"])] | If the multipayment flag is not set, ensure the paymentAmount has been supplied. |
| ERR0.03 | 400 | object has missing required properties (["recurringPaymentFrequency"])] | If the frequency and amount are required for the paymentRequest type, ensure they are set. |
| ERR0.03 | 400 | object has missing required properties (["recurringPaymentAmount"])] | If the frequency and amount are required for the paymentRequest type, ensure they are set. |
| ERR0.03 | 400 | [object has missing required properties (["recurringPaymentAmount", "recurringPaymentFrequency"])] | If the frequency and amount are required for the paymentRequest type, ensure they are set. |
| ERR0.03 | 400 | For VARIABLE recurring payment type, the initial paymentAmount cannot exceed the recurringPaymentAmount maximum | Ensure the initial paymentAmount does not exceed the recurringPaymentAmount. |
| ERR0.03 | 400 | recurringPaymentEndDate must be at least current date + 1 day (Australia/Sydney timezone) | Ensure the recurringPaymentEndDate is later than today's date. |
| ERR0.03 | 400 | Invalid recurringPaymentEndDate provided | Ensure the recurringPaymentEndDate is a valid future date. |
| ERR0.03 | 400 | ClientId mismatch. Expecting: 'clientId' | Ensure a clientId that matches the account and secret key in use is used. |
| ERR0.03 | 400 | PayID is unavailable for Registration. Please try again with a different PayID. | The PayID may already be registered in your account, or to a seperate account. Raise with support if you are unsure of the registration source and believe the payID should be available for registration. |
| ERR0.03 | 400 | [suggestedPayerPayID] format is incorrect | Supply a valid suggestedPayerPayID format. |
| ERR0.03 | 400 | The paymentAmount cannot exceed the configured maximum amount. Please contact our Help Desk. | Confirm if the paymentAmount is higher than your configured paymentAmount maximum by contacting the service desk, or submit the paymentRequest with a lower amount. |
| ERR0.03 | 429 | "Too frequent updates to PayID: PayID" | Wait before attempting an additional Create event against the PayID. If the issue persists, contact support. |
Callback
